Page MenuHomePhabricator

enlightenment: Ensure we have a valid menu comp object before calling
ClosedPublic

Authored by devilhorns on Jul 19 2018, 5:55 PM.

Details

Summary

evas functions

This fixes an issue when quickly mousing through menus can cause a
segfault in Enlightenment due to menu->comp_object being NULL

ref T7030

Diff Detail

Repository
rE core/enlightenment
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
devilhorns created this revision.Jul 19 2018, 5:55 PM
Herald added 1 blocking reviewer(s): zmike. · View Herald TranscriptJul 19 2018, 5:55 PM
Herald added a subscriber: cedric. · View Herald Transcript
devilhorns requested review of this revision.Jul 19 2018, 5:55 PM
zmike requested changes to this revision.Jul 20 2018, 1:15 PM
zmike added inline comments.
src/bin/e_menu.c
1181–1186

I think the m->comp_object check should be m->realized instead to be a bit more descriptive since comp_object only exists for realized menus. If the object is still NULL when that flag is set then that would indicate a more severe issue.

This revision now requires changes to proceed.Jul 20 2018, 1:15 PM
devilhorns updated this revision to Diff 15862.Jul 25 2018, 3:16 AM

Use m->realized instead of check on m->comp_object

zmike accepted this revision.Jul 25 2018, 9:05 AM
This revision is now accepted and ready to land.Jul 25 2018, 9:05 AM
This revision was automatically updated to reflect the committed changes.